<%-- "Controller part", can also be a servlet --%>
<%@ include file="/checks.jsp" %>
<%@ page import="java.text.*" %>
<%
	DateFormat dateFormat = DateFormat.getDateInstance(DateFormat.LONG, request.getLocale());
	int newsID = 0;

	try
	{
		newsID = Integer.parseInt(request.getParameter("id"));
		request.setAttribute("detail", newsSession.getNews(newsID));
		request.setAttribute("children", newsSession.getChildren(newsID));
	}
	catch(NumberFormatException e)
	{
		request.setAttribute("children", newsSession.getChildren(0));
	}
%>
